Liferay.Loader.define("commerce-frontend-js@3.0.26/components/mini_cart/CartItemsList", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './MiniCartContext', './util/constants'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _MiniCartContext = _interopRequireDefault(require("./MiniCartContext"));

    var _constants = require("./util/constants");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function CartItemsList(_ref) {
      var items = _ref.items;

      var _useContext = (0, _react.useContext)(_MiniCartContext.default),
          CartViews = _useContext.CartViews,
          cartState = _useContext.cartState,
          isUpdating = _useContext.isUpdating,
          labels = _useContext.labels,
          spritemap = _useContext.spritemap,
          summaryDataMapper = _useContext.summaryDataMapper;

      var _cartState$summary = cartState.summary,
          summary = _cartState$summary === void 0 ? {} : _cartState$summary;
      var numberOfItems = (items === null || items === void 0 ? void 0 : items.length) || 0;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: 'mini-cart-items-list'
        }, /*#__PURE__*/_react.default.createElement(CartViews.ItemsListActions, {
          numberOfItems: numberOfItems
        }), numberOfItems > 0 ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
          className: 'mini-cart-cart-items'
        }, items.map(function (item) {
          return (/*#__PURE__*/_react.default.createElement(CartViews.Item, {
              item: item,
              key: item.id
            })
          );
        })), /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(CartViews.Summary, {
          dataMapper: summaryDataMapper,
          isLoading: isUpdating,
          summaryData: summary
        }))) : /*#__PURE__*/_react.default.createElement("div", {
          className: "empty-cart"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "empty-cart-icon mb-3"
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          spritemap: spritemap,
          symbol: 'shopping-cart'
        })), /*#__PURE__*/_react.default.createElement("p", {
          className: "empty-cart-label"
        }, labels[_constants.ADD_PRODUCT])))
      );
    }

    var _default = CartItemsList;
    exports.default = _default;
    //# sourceMappingURL=CartItemsList.js.map
  }
});
//# sourceMappingURL=CartItemsList.js.map