Liferay.Loader.define("commerce-frontend-js@3.0.26/components/mini_cart/OrderButton", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', 'frontend-js-react-web$react', '../../utilities/index', './MiniCartContext', './util/constants', './util/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _index = require("../../utilities/index");

    var _MiniCartContext = _interopRequireDefault(require("./MiniCartContext"));

    var _constants = require("./util/constants");

    var _index2 = require("./util/index");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function OrderButton() {
      var _useContext = (0, _react.useContext)(_MiniCartContext.default),
          actionURLs = _useContext.actionURLs,
          cartState = _useContext.cartState,
          labels = _useContext.labels;

      var checkoutURL = actionURLs.checkoutURL,
          orderDetailURL = actionURLs.orderDetailURL;
      var _cartState$cartItems = cartState.cartItems,
          cartItems = _cartState$cartItems === void 0 ? [] : _cartState$cartItems,
          _cartState$workflowSt = cartState.workflowStatusInfo,
          workflowStatusInfo = _cartState$workflowSt === void 0 ? {} : _cartState$workflowSt;
      var errors = (0, _index2.hasErrors)(cartItems);
      var workflowStatus = (workflowStatusInfo === null || workflowStatusInfo === void 0 ? void 0 : workflowStatusInfo.code) || _constants.WORKFLOW_STATUS_APPROVED;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: 'mini-cart-submit'
        }, /*#__PURE__*/_react.default.createElement(_button.default, {
          block: true,
          disabled: !cartItems.length,
          onClick: function onClick() {
            (0, _index.liferayNavigate)(errors ? orderDetailURL : checkoutURL);
          }
        }, !errors && workflowStatus === _constants.WORKFLOW_STATUS_APPROVED ? labels[_constants.SUBMIT_ORDER] : labels[_constants.REVIEW_ORDER]))
      );
    }

    var _default = OrderButton;
    exports.default = _default;
    //# sourceMappingURL=OrderButton.js.map
  }
});
//# sourceMappingURL=OrderButton.js.map