Liferay.Loader.define("commerce-frontend-js@3.0.26/utilities/email", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.validateEmailAddress = validateEmailAddress;
    exports.EMAIL_VALIDATION_PATTERN = void 0;

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var EMAIL_VALIDATION_PATTERN = /^(\D)+(\w)*((\.(\w)+)?)+@(\D)+(\w)*((\.(\D)+(\w)*)+)?(\.)[a-z]{2,}$/;
    exports.EMAIL_VALIDATION_PATTERN = EMAIL_VALIDATION_PATTERN;

    function validateEmailAddress(address) {
      return new Promise(function (resolve, reject) {
        var pattern = new RegExp(EMAIL_VALIDATION_PATTERN),
            isValid = pattern.exec(address).length;

        if (isValid) {
          resolve(address);
        }

        reject();
      });
    }
    //# sourceMappingURL=email.js.map
  }
});
//# sourceMappingURL=email.js.map