Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/hooks/useStorage.es", ['module', 'exports', 'require', 'frontend-js-react-web', 'frontend-js-react-web$react', '../util/storage.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useSessionStorage = exports.useLocalStorage = void 0;

    var _frontendJsReactWeb = require("frontend-js-react-web");

    var _react = require("frontend-js-react-web$react");

    var _storage = require("../util/storage.es");

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var useStorage = function useStorage(storageType, key) {
      var _jsonStorage = (0, _storage.jsonStorage)(storageType),
          get = _jsonStorage.get,
          remove = _jsonStorage.remove,
          set = _jsonStorage.set;

      var _useState = (0, _react.useState)(get(key)),
          _useState2 = _slicedToArray(_useState, 2),
          value = _useState2[0],
          setValue = _useState2[1];

      var listener = (0, _react.useCallback)(function (_ref) {
        var detail = _ref.detail;

        if (detail.key === key) {
          setValue(detail.newValue);
        }
      }, [key]);
      (0, _frontendJsReactWeb.useEventListener)('storage_change', listener, false, window);

      var updater = function updater(newValue, removeItem) {
        if (removeItem) {
          remove(key);
        } else {
          set(key, newValue);
        }

        window.dispatchEvent(new CustomEvent('storage_change', {
          detail: {
            key: key,
            newValue: newValue
          }
        }));
      };

      return [value, function (newValue) {
        return updater(newValue);
      }, function () {
        return updater({}, true);
      }];
    };

    var setStorage = function setStorage(storage) {
      return function (key) {
        return useStorage(storage, key);
      };
    };

    var useLocalStorage = setStorage(localStorage);
    exports.useLocalStorage = useLocalStorage;
    var useSessionStorage = setStorage(sessionStorage);
    exports.useSessionStorage = useSessionStorage;
    //# sourceMappingURL=useStorage.es.js.map
  }
});
//# sourceMappingURL=useStorage.es.js.map